#!/usr/bin/perl

use strict;
use File::Copy;

my $fonmon = "/etc/asterisk/FONmon.conf";

# make backup
File::Copy::copy($fonmon, "$fonmon.bak_vm");

# remove check_vm lines
open(READ, '<', "$fonmon.bak_vm");
open(WRITE, '>', $fonmon);

while(my $line = <READ>) {

	next if($line =~ /# check to see if check_voicemail\.pl is running/);
	next if($line =~ /checkcheckvm/);
	next if($line =~ /vm_interval/);

	print WRITE $line;

}

close(READ);
close(WRITE);

unlink("$fonmon.bak_vm");

# restart FONmon
system('/var/www/rpc/surun /etc/init.d/FONmon restart');
	

